Bug 13255 - r8169 module network adapter failed to work after resume from suspend
: r8169 module network adapter failed to work after resume from suspend
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: RPM Packages
: 4
: x86_64 Linux
: Normal Severity: normal
: ---
Assigned To: Mageia Bug Squad
:
:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-04-23 17:11 CEST by shiming zhou
Modified: 2014-05-09 00:03 CEST (History)
1 user (show)

See Also:
Source RPM: kernel-3.12.13-2.mga4.src.rpm
CVE:


Attachments

Description shiming zhou 2014-04-23 17:11:21 CEST
Description of problem:
dmesg |grep r8169 : 

 r8169 0000:02:00.0 eth0: RTL8168c/8111c at 0xffffc90000c3a000, 6c:f0:49:7e:43:38, XID 1c4000c0 IRQ 42

lspci -vv :


02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 02)
        Subsystem: Gigabyte Technology Co., Ltd Motherboard
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 4 bytes
        Interrupt: pin A routed to IRQ 42
        Region 0: I/O ports at de00 [size=256]
        Region 2: Memory at fdcff000 (64-bit, prefetchable) [size=4K]
        Region 4: Memory at fdce0000 (64-bit, prefetchable) [size=64K]
        [virtual] Expansion ROM at fdc00000 [disabled] [size=64K]
        Capabilities: <access denied>
        Kernel driver in use: r8169
        Kernel modules: r8169


After resume from suspend , r8169 module kernel driver will fail to work 。 kernel message shows link always down ,use mii-diag to diagnose  it ,will complain no mii  transceiver 。 use mii-diag --force  ,it shows that the r8169 cannot properly detect the link 。Even I remove r8169 and mii kernel module and use modprobe to reload the kernel module ,the problem still appears 。I use google to search the problem ,and found an solution  on : 

https://bugzilla.kernel.org/attachment.cgi?id=126391&action=diff

 。 I mannually edit powernow-k8.c  and recompile  all the kernel modules in kernel source directory tree /usr/src/kernel-3.12.13-2.mga4/drivers/cpufreq   。And it  seems working for me 。




This is the diff  powernow-k8.c (new)  powernow-k8.c.bak(origin) :

1103c1103
<       int rc, cpu;
---
>       int rc;
1172,1178c1172
<       /* Point all the CPUs in this policy to the same data */
< 
< 
<       for_each02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 02)
        Subsystem: Gigabyte Technology Co., Ltd Motherboard
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 4 bytes
        Interrupt: pin A routed to IRQ 42
        Region 0: I/O ports at de00 [size=256]
        Region 2: Memory at fdcff000 (64-bit, prefetchable) [size=4K]
        Region 4: Memory at fdce0000 (64-bit, prefetchable) [size=64K]
        [virtual] Expansion ROM at fdc00000 [disabled] [size=64K]
        Capabilities: <access denied>
        Kernel driver in use: r8169
        Kernel modules: r8169
_cpu(cpu, pol->cpus)
< 
<               per_cpu(powernow_data, cpu) = data;
< 
---
>       per_cpu(powernow_data, pol->cpu) = data;
1193d1186
<       int cpu;
1204,1205c1197
<       for_each_cpu(cpu, pol->cpus)
<               per_cpu(powernow_data, cpu) = NULL;
---
>       per_cpu(powernow_data, pol->cpu) = NULL;

 



Version-Release number of selected component (if applicable):


How reproducible
Resume from a suspend state. 

Steps to Reproduce:
1.
2.
3.


Reproducible: 

Steps to Reproduce:
Comment 1 Thomas Backlund 2014-04-24 14:39:58 CEST
Yes, this patch was merged upstream in 3.12.14, so it will be  in next update kernel (3.12.18) currently building
Comment 2 Thomas Backlund 2014-05-09 00:03:19 CEST
Update pushed:
http://advisories.mageia.org/MGASA-2014-0206.html

Note You need to log in before you can comment on or make changes to this bug.